Type::Tiny::_DeclaredType(3)

NAME
Type::Tiny::_DeclaredType - half-defined type constraint

STATUS
This module is considered part of Type-Tiny's internals. It is not covered by the Type-Tiny stability policy.

DESCRIPTION
This is not considered part of Type::Tiny's public API.

It is a class representing a declared-but-not-defined type constraint. It inherits from Type::Tiny.

  Constructor

new(%options)

BUGS
Please report any bugs to <https://github.com/tobyink/p5-type-tiny/issues>.

AUTHOR
Toby Inkster <tobyink@cpan.org>.

COPYRIGHT AND LICENCE
This software is copyright (c) 2013-2025 by Toby Inkster.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

DISCLAIMER OF WARRANTIES
THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.